org.apache.ignite.internal.processors.query

## Class CacheQueryObjectValueContext

- java.lang.Object
- - org.apache.ignite.internal.processors.query.CacheQueryObjectValueContext

All Implemented Interfaces:
  CacheObjectValueContext

    public class CacheQueryObjectValueContext
    extends Object
    implements CacheObjectValueContext

Cache object value context for queries.

### Constructor Summary

Constructors
Constructor and Description
`CacheQueryObjectValueContext(GridKernalContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDeploymentInfo()`
`boolean` `binaryEnabled()`
`boolean` `copyOnGet()`
`GridKernalContext` `kernalContext()`
`boolean` `storeValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheQueryObjectValueContext

    public CacheQueryObjectValueContext(GridKernalContext ctx)

Constructor.

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### kernalContext

    public GridKernalContext kernalContext()

Specified by:
  `kernalContext` in interface `CacheObjectValueContext`
Returns:
  Kernal context.

#### copyOnGet

    public boolean copyOnGet()

Specified by:
  `copyOnGet` in interface `CacheObjectValueContext`
Returns:
  Copy on get flag.

#### storeValue

    public boolean storeValue()

Specified by:
  `storeValue` in interface `CacheObjectValueContext`
Returns:
  `True` if should store unmarshalled value in cache.

#### addDeploymentInfo

    public boolean addDeploymentInfo()

Specified by:
  `addDeploymentInfo` in interface `CacheObjectValueContext`
Returns:
  `True` if deployment info should be associated with the objects of this cache.

#### binaryEnabled

    public boolean binaryEnabled()

Specified by:
  `binaryEnabled` in interface `CacheObjectValueContext`
Returns:
  Binary enabled flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020